## BtMachineMenu BtMachineMenu — class for the machine selection popup menu |

## Synopsis

    #include "bt-edit.h"

                        BtMachineMenu;
    BtMachineMenu *     bt_machine_menu_new                 (const BtEditApplication *app);

## Description

Builds a hierachical menu with usable machines from the GStreamer registry.

## Details

### BtMachineMenu

    typedef struct {
      GtkMenu parent;
    } BtMachineMenu;

the machine selection sub-menu for the canvas page context menu

GtkMenu `parent`; | parent type

### bt_machine_menu_new ()

    BtMachineMenu *     bt_machine_menu_new                 (const BtEditApplication *app);

Create a new instance

`app` : | the application the menu belongs to
Returns : | the new instance or `NULL` in case of an error